You are on page 1of 1

Upgrading an existing ePolicy Orchestrator server and Agent Handlers Installation instructions

ePolicy Orchestrator 4.5 Patch 3 Server upgrade prerequisites You must have one of the following installed prior to upgrading to ePolicy Orchestrator 4.5 Patch 3: McAfee ePolicy Orchestrator 3.6.1 Patch 4 (build 255) McAfee ePolicy Orchestrator 4.0 Patch 5 (build 1298) McAfee ePolicy Orchestrator 4.0 Patch 6 (build 1333) McAfee ePolicy Orchestrator 4.5 (build 753) McAfee ePolicy Orchestrator 4.5 Patch 1 (build 851) McAfee ePolicy Orchestrator 4.5 Patch 2 (build 919) McAfee Total Protection for Endpoint (build 1279) You must be logged on to the ePolicy Orchestrator server as a Local Administrator on the system. You must know the user name and password for at least one Global Administrator that is valid for the ePolicy Orchestrator server you are trying to upgrade. The ePolicy Orchestrator and SQL Server services must be running during this upgrade (expect when the automated upgrade stops and starts your ePolicy Orchestrator services). Before upgrading to ePolicy Orchestrator 4.5 Patch 3 Server 1. Back up your ePolicy Orchestrator server and ePolicy Orchestrator database before upgrading to ePolicy Orchestrator 4.5 Patch 3. For more information, see KB articles KB51438 and KB66616. 2. Be sure that there are no repository pulls or replications tasks currently running or scheduled to run during the installation.
Note: If the master repository is locked, package check-ins fail, causing the installation to fail and roll back. This could be because a Master Repository pull is in progress.

3. Shut down all remote Agent Handlers so that they do not attempt to communicate with the ePolicy Orchestrator server during the upgrade process. 4. Warn other ePolicy Orchestrator users that during the installation process they might see changing content or be logged out of their current ePolicy Orchestrator console session. Upgrading to ePolicy Orchestrator 4.5 Patch 3 Server 1. Copy the upgrade installation zip file to a temporary directory. 2. Extract the contents of the zip file into the temporary directory. 3. In the extracted files, run Setup.exe. 4. Click Next. 5. Type the ePolicy Orchestrator credentials for a global administrator.
Note: McAfee recommends you use an existing global administrator with a simple password when installing this Patch. If the user is not a global administrator or the password includes characters other than those listed in the official character set (see Known Issues above) the installation will fail.

6. Click Next. 7. The automated installation process starts. 8. When the installation is complete, click Finish. 9. Manually determine if any extension upgrades failed, because individual extension upgrade failures do not cause the ePolicy Orchestrator 4.5 Patch 3 installation to fail. A record of the failed extension check-ins can be found in %TEMP%\McAfeeLogs\EPO450-Checkin-Failure.log file. Any failed extensions can be checked in again through the management console after the Patch installation is complete. ePolicy Orchestrator 4.5 Patch 3 Agent Handler upgrade prerequisites The ePolicy Orchestrator 4.5 Patch 3 Agent Handler can be installed where no previous version of Agent Handler has been installed, or the release can be used to upgrade the following: McAfee ePolicy Orchestrator 4.5 Agent Handler (build 753) McAfee ePolicy Orchestrator 4.5 Agent Handler 4.5 Patch 1 (build 851) Before upgrading to ePolicy Orchestrator 4.5 Patch 3 Agent Handler 1. Shutdown all remote Agent Handlers. 2. Upgrade your ePolicy Orchestrator server to ePolicy Orchestrator 4.5 Patch 3 prior to upgrading any remote Agent Handlers. Upgrading to ePolicy Orchestrator 4.5 Patch 3 Agent Handler 1. Copy the upgrade installation zip file to a temporary directory. 2. Extract the contents of the zip file into the temporary directory. 3. In the extracted files, browse to the Agent Handler folder and run Setup.exe. 4. Click Update. 5. The automated installation process starts. 6. When the installation is complete, click Finish.